View Issue Details

IDProjectCategoryView StatusLast Update
0002111SymmetricDSImprovementpublic2014-12-26 08:37
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.6.17 
Target Version3.6.17Fixed in Version3.6.17 
Summary0002111: When big transactions are interspersed routing requires a lot of memory which can result in OOM errors
DescriptionWhen big transactions are interspersed routing requires a lot of memory which can result in OOM errors.

Adding routing.peek.ahead.memory.threshold.percent. If the percent of the heap size that is represented by this property is reached as a result of captured data size, then the peek ahead queue will be cleared and the current transaction will be finished.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 223edc30

2014-12-22 18:13:50

chenson

Details Diff
0002111: When big transactions are interspersed routing requires a lot of memory which can result in OOM errors
0002111
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/Data.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/DataGapRouteReader.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/route/DataGapRouteReaderTest.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/CsvData.java Diff File

Issue History

Date Modified Username Field Change
2014-12-22 18:03 chenson New Issue
2014-12-22 18:03 chenson Status new => assigned
2014-12-22 18:03 chenson Assigned To => chenson
2014-12-22 18:43 chenson Status assigned => resolved
2014-12-22 18:43 chenson Fixed in Version => 3.6.17
2014-12-22 18:43 chenson Resolution open => fixed
2014-12-22 19:00 chenson Changeset attached => SymmetricDS 3.6 r9101
2014-12-22 19:00 chenson Changeset attached => SymmetricDS trunk r9102
2014-12-26 08:37 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 223edc30